org.apache.lucene.luke.app.desktop.components

## Class TabSwitcherProxy

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.TabSwitcherProxy

    public class TabSwitcherProxy
    extends Object

An utility class for switching tabs.

### Nested Class Summary

Nested Classes
`static interface` `TabSwitcherProxy.TabSwitcher` tab switcher

### Constructor Summary

Constructors
Constructor and Description
`TabSwitcherProxy()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TabSwitcherProxy` `getInstance()`
`void` `set(TabSwitcherProxy.TabSwitcher switcher)`
`void` `switchTab(TabbedPaneProvider.Tab tab)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TabSwitcherProxy

    public TabSwitcherProxy()

### Method Detail

#### getInstance

    public static TabSwitcherProxy getInstance()

#### set

    public void set(TabSwitcherProxy.TabSwitcher switcher)

#### switchTab

    public void switchTab(TabbedPaneProvider.Tab tab)